CVE-2004-1350
CVSS7.5
发布时间 :2004-10-30 00:00:00
修订时间 :2008-09-10 15:29:56
NMCOS    

[原文]Multiple buffer overflows in Sun Java System Web Proxy Server (formerly Sun ONE Proxy Server) 3.6 through 3.6 SP4 allow remote attackers to execute arbitrary code via unknown vectors, possibly CONNECT requests.


[CNNVD]Sun Java System Web Proxy Server远程缓冲区溢出漏洞(CNNVD-200410-101)

        
        Sun Java System Web Proxy Server是一款基于WEB的代理服务程序。
        Sun Java System Web Proxy Server不正确处理CONNECT请求URI,远程攻击者可以利用这个漏洞进行缓冲区溢出攻击,可能以代理服务器进程权限执行任意指令。
        目前没有详细漏洞细节提供。
        <*链接:http://sunsolve.sun.com/search/printfriendly.do?assetkey=1-26-57606-1
        *>

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:sun:java_system_web_proxy_server:3.6:sp4Sun Java Web Proxy Server 3.6 SP4
cpe:/a:sun:java_system_web_proxy_server:3.6:sp1Sun Java Web Proxy Server 3.6 SP1
cpe:/a:sun:java_system_web_proxy_server:3.6Sun Java System Web Proxy Server 3.6
cpe:/a:sun:java_system_web_proxy_server:3.6:sp3Sun Java Web Proxy Server 3.6 SP3
cpe:/a:sun:java_system_web_proxy_server:3.6:sp2Sun Java Web Proxy Server 3.6 SP2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1350
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1350
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200410-101
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/964401
(UNKNOWN)  CERT-VN  VU#964401
http://xforce.iss.net/xforce/xfdb/17920
(VENDOR_ADVISORY)  XF  sun-web-proxy-bo(17920)
http://www.securityfocus.com/bid/11566
(VENDOR_ADVISORY)  BID  11566
http://www.osvdb.org/displayvuln.php?osvdb_id=11304
(VENDOR_ADVISORY)  OSVDB  11304
http://securitytracker.com/id?1012005
(VENDOR_ADVISORY)  SECTRACK  1012005
http://secunia.com/advisories/13036/
(VENDOR_ADVISORY)  SECUNIA  13036
http://www.pentest.co.uk/documents/ptl-2004-06.html
(UNKNOWN)  MISC  http://www.pentest.co.uk/documents/ptl-2004-06.html
http://www.ciac.org/ciac/bulletins/p-027.shtml
(UNKNOWN)  CIAC  P-027
http://www.auscert.org.au/render.html?it=4516
(UNKNOWN)  AUSCERT  ESB-2004.0691
http://sunsolve.sun.com/search/document.do?assetkey=1-26-57606-1&searchclause=security
(UNKNOWN)  SUNALERT  57606

- 漏洞信息

Sun Java System Web Proxy Server远程缓冲区溢出漏洞
高危 边界条件错误
2004-10-30 00:00:00 2005-10-20 00:00:00
远程  
        
        Sun Java System Web Proxy Server是一款基于WEB的代理服务程序。
        Sun Java System Web Proxy Server不正确处理CONNECT请求URI,远程攻击者可以利用这个漏洞进行缓冲区溢出攻击,可能以代理服务器进程权限执行任意指令。
        目前没有详细漏洞细节提供。
        <*链接:http://sunsolve.sun.com/search/printfriendly.do?assetkey=1-26-57606-1
        *>

- 公告与补丁

        厂商补丁:
        Sun
        ---
        Sun已经为此发布了一个安全公告(Sun-Alert-57606)以及相应补丁:
        Sun-Alert-57606:Buffer Overflow Vulnerabilities in Sun Java System Web Proxy Server
        链接:
        http://sunsolve.sun.com/search/printfriendly.do?assetkey=1-26-57606-1

        Sun提供Sun Java System Web Proxy Server 3.6 Service Pack 5,可从如下地址获得:
        
        http://wwws.sun.com/software/download/products/4149bc42.html

- 漏洞信息

11304
Sun Java System Web Proxy Server Overflow
Remote / Network Access Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

A remote overflow exists in Sun Java System Web Proxy Server. The Sun Java System Web Proxy Server does not properly handle CONNECT Request URIs resulting in a overflow. With a specially crafted request, an attacker can execute arbitrary code resulting in a loss of confidentiality and integrity.

- 时间线

2004-10-29 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.6 Service Pack 5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Sun Java System Web Proxy Server Multiple Unspecified Buffer Overflow Vulnerabilities
Boundary Condition Error 11566
Yes No
2004-10-30 12:00:00 2009-07-12 08:06:00
Matt Moore of Pentest Limited reported these vulnerabilities to the vendor.

- 受影响的程序版本

Sun Java Web Proxy Server 3.6 SP4
Sun Java Web Proxy Server 3.6 SP3
Sun Java Web Proxy Server 3.6 SP2
Sun Java Web Proxy Server 3.6 SP1
Sun Java Web Proxy Server 3.6
Sun Java Web Proxy Server 3.6 SP5

- 不受影响的程序版本

Sun Java Web Proxy Server 3.6 SP5

- 漏洞讨论

It is reported that Sun Java System Web Proxy Server, and its Administration Server application are susceptible to multiple unspecified buffer overflow vulnerabilities. These issues are due to a failure of the application to properly perform bounds checks prior to copying user-supplied data into memory buffers.

These vulnerabilities reportedly allow remote attackers to execute arbitrary code in the context of the affected application. Unsuccessful attempts to exploit these vulnerabilities will likely result in the application crashing, denying service to legitimate users.

The Web proxy server is configured to run as 'nobody' by default, and the Administration Server is configured to run as 'root'. By exploiting vulnerabilities in the Administration Server, attackers may execute arbitrary code with superuser privileges.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

The vendor has released an advisory (Sun Alert ID #57606), as well as a service pack to address this issue. Please see the referenced alert for further information.


Sun Java Web Proxy Server 3.6 SP2

Sun Java Web Proxy Server 3.6 SP1

Sun Java Web Proxy Server 3.6 SP3

Sun Java Web Proxy Server 3.6 SP4

Sun Java Web Proxy Server 3.6

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站